#! /bin/sh

install_npos ()
{
NPNAME="$1"
< /boot/beos/apps/"$NPNAME" \
$OBJ_DIR/bsubst "libtextencoding.so" "libtextwrappers.so" | \
$OBJ_DIR/bsubst "convert_" "wrapper_" | \
$OBJ_DIR/bsubst "Cyrillic (ISO 8859-5)"   "Chinese (Big-5)      "  | \
$OBJ_DIR/bsubst "Cyrillic (KOI8-R)"       "Chinese (EUC-CN) "      | \
$OBJ_DIR/bsubst "Cyrillic (MS-DOS 866)"   "-------              "  | \
$OBJ_DIR/bsubst "Cyrillic (Windows 1251)" "-------                "| \
$OBJ_DIR/bsubst "Greek (IS 8859-7)"       "Korean (EUC-KR)  "      | \
$OBJ_DIR/bsubst "Greek (ISO-8859-7)"      "Korean (EUC-KR)   "     | \
$OBJ_DIR/bsubst "Cyrillic" "Chinese " | \
$OBJ_DIR/bsubst "Greek" "Korea" \
> /boot/beos/apps/"$NPNAME-CJK"
if [ ! -s /boot/beos/apps/"$NPNAME-CJK" ]
then
	alert --stop "$NPNAME-CJK installation failed."
	exit 1
fi
copyattr /boot/beos/apps/"$NPNAME" /boot/beos/apps/"$NPNAME-CJK"
[ -h /boot/apps/"$NPNAME-CJK" ] || \
    ln -s /boot/beos/apps/"$NPNAME-CJK" /boot/apps/"$NPNAME-CJK"
[ -h ~/config/be/Applications/"$NPNAME-CJK" ] || \
    ln -s /boot/beos/apps/"$NPNAME-CJK" ~/config/be/Applications/"$NPNAME-CJK"
}

# main

cd `dirname $0`

OBJ_DIR=obj.$BE_HOST_CPU
LIBNAME=libtextwrappers.so

alert --warning "Installing NetPositive-CJK.
Press OK and wait a moment." OK Quit > /dev/null || exit 1

[ -f $OBJ_DIR/$LIBNAME -a -f $OBJ_DIR/bsubst ] || make

install $OBJ_DIR/$LIBNAME ~/config/lib
mimeset -f ~/config/lib/$LIBNAME

install_npos NetPositive

NPNAME="NetPositive 3.0d3"
if [ -f "/boot/beos/apps/$NPNAME" ]
then
	alert --warning "$NPNAME detected. Installing $NPNAME-CJK."
	install_npos "$NPNAME"
fi

alert --warning "Installing StyledEdit-CJK."

< /boot/beos/apps/StyledEdit \
$OBJ_DIR/bsubst "libtextencoding.so" "libtextwrappers.so" | \
$OBJ_DIR/bsubst "convert_" "wrapper_" | \
$OBJ_DIR/bsubst "Cyrillic (ISO 8859-5)"   "Chinese (Big-5)      "  | \
$OBJ_DIR/bsubst "Cyrillic (KOI8-R)"       "Chinese (EUC-CN) "      | \
$OBJ_DIR/bsubst "Cyrillic (MS-DOS 866)"   "-------              "  | \
$OBJ_DIR/bsubst "Cyrillic (Windows 1251)" "-------                "| \
$OBJ_DIR/bsubst "Greek (ISO 8859-7)"      "-------           "       \
> /boot/beos/apps/StyledEdit-CJK
if [ ! -s /boot/beos/apps/StyledEdit-CJK ]
then
	alert --stop "StyledEdit-CJK installation failed."
	exit 1
fi
copyattr /boot/beos/apps/StyledEdit /boot/beos/apps/StyledEdit-CJK
[ -h /boot/apps/StyledEdit-CJK ] || \
    ln -s /boot/beos/apps/StyledEdit-CJK /boot/apps/StyledEdit-CJK
[ -h ~/config/be/Applications/StyledEdit-CJK ] || \
    ln -s /boot/beos/apps/StyledEdit-CJK ~/config/be/Applications/StyledEdit-CJK

alert --warning "Installing xtou-cjk."

< /bin/xtou \
$OBJ_DIR/bsubst "libtextencoding.so" "libtextwrappers.so" | \
$OBJ_DIR/bsubst "convert_" "wrapper_" | \
$OBJ_DIR/bsubst "iso5    ISO 8859-5"      "big5    Big-5     "      | \
$OBJ_DIR/bsubst "iso7    ISO 8859-7"      "----              "      | \
$OBJ_DIR/bsubst "koi8r   Russian KOI8-R"  "euccn   EUC Chinese   "  | \
$OBJ_DIR/bsubst "dos866  Russian DOS"     "----               "     | \
$OBJ_DIR/bsubst "win1251 Russian Windows" "----                   " | \
$OBJ_DIR/bsubst "iso5" "big5" | \
$OBJ_DIR/bsubst "koi8r" "euccn" \
> /bin/xtou-cjk
if [ ! -s /bin/xtou-cjk ]
then
	alert --stop "xtou-cjk installation failed."
	exit 1
fi
copyattr /bin/xtou /bin/xtou-cjk

alert --info "Done."
